Summary:	A Graphical FTP client
Name:		deadftp
Version:	0.1.3
Release:	1
Copyright:	GPL
Group:		Applications/Internet
Source:		http://download.sourceforge.net/deadftp/%{name}-%{version}.tar.gz
URL:		http://deadftp.sourceforge.net/ 
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Packager:	Brandon Lees <brandon2@users.sourceforge.net>
Requires:       gnome-libs >= 1.2.0
Requires:       libglade >= 0.11
Requires:	libxml >= 1.8.9

%description
DeadFTP is a graphical FTP client for GNOME.  

%prep
%setup -q

%build
%configure
make

%install
make install-strip \
	prefix=%{_prefix} \
	sysconfdir=%{_sysconfdir} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO

%{_bindir}/*
%{_datadir}/gnome/apps/Internet/deadftp.desktop
%{_datadir}/gnome/help/deadftp
%{_datadir}/deadftp
%{_datadir}/pixmaps/deadftp.png

%changelog
* Tue Oct 17 2000 Brandon Lees <brandon2@users.sourceforge.net>
- reorganized spec file somewhat
- updated to deadftp-0.1.0

* Sat Sep 16 2000  Brandon <brandon2@users.sourceforge.net>

- Released deadftp-0.0.9

* Wed Aug 30 2000  Brandon Lees <brandon2@users.sourceforge.net>

- Released deadftp-0.0.8

* Wed Aug 23 2000  Brandon Lees <brandon2@users.sourceforge.net>

- Added changelog section to spec file.

