/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  DeadFTP
 *  Copyright (C) 2000-2001 Brandon Lees
 */

#ifndef	_PREFERENCES_H_DEAD_
#define	_PREFERENCES_H_DEAD_

typedef struct {
  GtkWidget *dialog;

  GtkWidget *anonymous_email;
  GtkWidget *download_dir;
  GtkWidget *log_filename;
  GtkWidget *log_disk;

  GtkWidget *timeout;
  GtkWidget *retry_delay;
  GtkWidget *retry_count;
  GtkWidget *scrollback;

  GtkWidget *anti_idle;
  GtkWidget *anti_idle_time;
  GtkWidget *popup_login_message;
  GtkWidget *clipboard_monitor;
  GtkWidget *selection_monitor;

  GtkWidget *list_default;
  GtkWidget *list_show_hidden;
  GtkWidget *list_custom;
  GtkWidget *list_custom_arg;

  GtkWidget *color_remote;
  GtkWidget *color_local;
  GtkWidget *color_info;
  GtkWidget *color_error;

  GtkWidget *resume_d_small;
  GtkWidget *resume_d_equal;
  GtkWidget *resume_d_big;
  GtkWidget *resume_u_small;
  GtkWidget *resume_u_equal;
  GtkWidget *resume_u_big;

  GtkWidget *directory_possible;
  GtkWidget *directory_displayed;
  GtkWidget *local_sort_field;
  GtkWidget *local_sort_asc;
  GtkWidget *local_sort_dsc;
  GtkWidget *remote_sort_field;
  GtkWidget *remote_sort_asc;
  GtkWidget *remote_sort_dsc;

  GtkWidget *queue_possible;
  GtkWidget *queue_displayed;

  GtkWidget *proxy_type;
  GtkWidget *proxy_host;
  GtkWidget *proxy_port;
  GtkWidget *proxy_username;
  GtkWidget *proxy_password;
  GtkWidget *proxy_use_pasv;

  GtkWidget *limit_port;
  GtkWidget *limit_port_low;
  GtkWidget *limit_port_high;

  GtkWidget *bind_ip;
  GtkWidget *bind_ip_address;
} prefs_t;

void load_preferences(void);
void save_preferences(void);

#endif /* _PREFERENCES_H_DEAD_ */
