/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  DeadFTP
 *  Copyright (C) 2000-2001 Brandon Lees
 */

#ifndef	_PROXY_H_DEAD_
#define	_PROXY_H_DEAD_

typedef struct {
  char *desc;
#define PROXY_FLAG_DISABLE    (1 << 0)
#define PROXY_FLAG_AUTH       (1 << 1)
#define PROXY_FLAG_PORT       (1 << 2)
  unsigned int flags;
  void (*connect) (socket_ctx_t *);
  void (*bind) (socket_ctx_t *);
  void (*accept) (socket_ctx_t *);
} proxy_desc_t;

extern proxy_desc_t proxies[];

#define PROXY_FLAG(type, flag)	   (proxies[(type)].flags & (flag))

#endif /* _PROXY_H_DEAD_ */
